import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import MsSqlLogoLight from './MsSqlLogoLight';
import MsSqlLogoDark from './MsSqlLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const MsSqlLogoSvg = forwardRef(function MsSqlLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(MsSqlLogoDark, Object.assign({}, props, { ref: ref })) : _jsx(MsSqlLogoLight, Object.assign({}, props, { ref: ref }));
});
export default MsSqlLogoSvg;
